
#ifndef GENERATOR_H
#define GENERATOR_H


#include <random>
#include <string>

static std::mt19937 generator(INT32_MAX - 2020);
static std::uniform_int_distribution<int> insert_int(1, INT32_MAX * 0.875);
static std::uniform_int_distribution<int> noninsert_int(INT32_MAX * 0.875, INT32_MAX);
static std::uniform_int_distribution<int> singlechar(33, 123);


int gen_int();

int gen_unsuccesfull_int();

std::string gen_string();

std::string gen_unsuccesfull_string();


#endif /* GENERATOR_H */